# History file 'len-mod.h' transforms surfaces and velocity
# sections in the model with LENticular inclusion into VRML
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required
 #chk.pl: "model/" "model.dat"
 #chk.pl: "model/" "len-cam.dat"
 #chk.pl: "model/" "len-dli1.dat"
 #chk.pl: "model/" "len-dli2.dat"
 #chk.pl: "forms/" "hsv.dat"

# Input data
  MODEL='model.dat'

# Temporary files (several times overwritten)
  VRTX='vrtx.tmp'  TRGL='trgl.tmp'  PLGN='plgn.tmp'

# Setting of cameras (viewpoints) and lights
  UP1=0  UP2=0  UP3=1  CAMERA='len-cam.dat'
  DLIGHT='len-dli1.dat'  AMBIENT=0.00
  R=0.00  G=0.00  B=0.00  # Black background

# Colour properties
  COLORS='hsv.dat'
  TRANSP=0.00  SPECULAR=0.22  SHININESS=0.10

# Structural interfaces in the model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Name and format of output file
  WRL='len-srf.wrl'  VRML='VRML2'
  iniwrl: 'len-mod.h' /

# Colours correspond to surface indices
  COLUMN07='ISRF'
  KOLPOS=07  KOLNEG=07  VPER=6  VREF=1  CREF=0.

# Triangulating and plotting interfaces
  N1=25  N2=17  N3=15  D1=2.5  D2=2.5  D3=2.5  O1=0.   O2=-20. O3=-25.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /

# Adding model box wireframe
  LIN='len-bnd.out'
  KOLLIN=0  R=1.00  G=1.00  B=1.00
  bndlin: 'len-mod.h' /
  linwrl: 'len-mod.h' /

# Solid P-wave velocity model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Setting lights
  DLIGHT='len-dli2.dat'

# Name of output file
  WRL='len-vp.wrl'
  iniwrl: 'len-mod.h' /

# Colours correspond to P-wave velocities
  COLUMN07='+VP'  COLUMN08='-VP'
  KOLPOS=07  KOLNEG=07  VPER=-6  VREF=7  CREF=0.

# Triangulating individual velocity sections
# Section perpendicular to X1, minimum X1 coordinate
  N1=1   N2=2   N3=16  D1=1.   D2=20.  D3=2.   O1=0.   O2=0.   O3=-25.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X1, maximum X1 coordinate
                               D2=40.          O1=60.  O2=-20.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X1, inside model box
         N2=11                 D2=2.           O1=20.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X1, thin belt near bottom
         N2=2   N3=2           D2=20.  D3=4.   O1=0.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X2, minimum X2 coordinate
  N1=9   N2=1   N3=16  D1=5.           D3=2.   O1=20.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X2, maximum X2 coordinate
  N1=13                                        O1=0.   O2=20.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X2, inside model box
  N1=11                D1=2.                           O2=0.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X2, thin belt near bottom
  N1=2          N3=2   D1=20.          D3=4.           O2=-20.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X3, maximum X3 coordinate, part 1
  N1=5   N2=2          D1=5.           D3=5.           O2=0.   O3=-1.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X3, maximum X3 coordinate, part 2
  N1=9                         D2=40.          O1=20.  O2=-20.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X3, minimum X3 coordinate, part 1
  N1=2          N3=1   D1=60.                  O1=0.           O3=-25.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X3, minimum X3 coordinate, part 2
                       D1=40.                  O1=20.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /
# Section perpendicular to X3, inside model box
                       D1=20.          D3=2.   O1=0.           O3=-21.
  modsrf: 'len-mod.h' /
  trgl:   'len-mod.h' /
  srfwrl: 'len-mod.h' /

